Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms.implementations
Class IntegrityHmac.IntegrityHmacRIPEMD160

    java.lang.Object
      org.apache.xml.security.algorithms.SignatureAlgorithmSpi
          org.apache.xml.security.algorithms.implementations.IntegrityHmac
              org.apache.xml.security.algorithms.implementations.IntegrityHmac.IntegrityHmacRIPEMD160

Enclosing class:
  IntegrityHmac

    public static class IntegrityHmac.IntegrityHmacRIPEMD160

extends IntegrityHmac

Class IntegrityHmacRIPEMD160

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xml.security.algorithms.implementations.IntegrityHmac
`IntegrityHmac.IntegrityHmacMD5, IntegrityHmac.IntegrityHmacRIPEMD160, IntegrityHmac.IntegrityHmacSHA1, IntegrityHmac.IntegrityHmacSHA224, IntegrityHmac.IntegrityHmacSHA256, IntegrityHmac.IntegrityHmacSHA384, IntegrityHmac.IntegrityHmacSHA512`

Constructor Summary
`IntegrityHmac.IntegrityHmacRIPEMD160()` Constructor IntegrityHmacRIPEMD160

Method Summary
`java.lang.String` | `engineGetURI()` Method engineGetURI

Methods inherited from class org.apache.xml.security.algorithms.implementations.IntegrityHmac
`engineAddContextToElement, engineGetContextFromElement, engineGetJCEAlgorithmString, engineGetJCEProviderName, engineInitSign, engineInitSign, engineInitSign, engineInitVerify, engineSetHMACOutputLength, engineSetParameter, engineSign, engineUpdate, engineUpdate, engineUpdate, engineVerify, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegrityHmac.IntegrityHmacRIPEMD160

    public IntegrityHmac.IntegrityHmacRIPEMD160()
                                         throws XMLSignatureException

  Constructor IntegrityHmacRIPEMD160

  Throws:
    `XMLSignatureException`

Method Detail

### engineGetURI

    public java.lang.String engineGetURI()

  Method engineGetURI

  Specified by:
    `engineGetURI` in class `IntegrityHmac`
  Returns:
    the URI representation of `Transformation algorithm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD